-Revised  7-23-89 for Professional-YAM 17.42+
::
:: Alternate Phones.t file for Novation Access 1-2-3 modem board
:: on Port 2  Also contains various goodies including script to visit
:: BIX and Compuserve Special Interest Groups (SIGs), CBBS(TM)
:: and Microcom SX1200 dial script
::
::  The AUTOEXEC.BAT file should include the line
::	yam call res;x
::  to set the Novation to a correct state (no autoanswer, correct format).
::
:: Includes "allsig" script for calling CIS bulletin boards,
::  downloading marked messages and uploading replies.
::
::  (called by the "allsig" entry below)
::  Messages to be uploaded should be in the following form
::		re 12334
::		s
::		text text text
:: or
::		l;To;Subject
::		s0
::		etc. ...
::
:: or (new format, for replies)
::
::	#: 86866 S10/B Protocol (C)
::	    15-Jan-88  22:51:52
::	Sb: #86793-#QB Protocol Problems
::	Fm: Julie Elliot 70003,1402
::	CompuServe's Extended Quick B Protocol (supported by Pro-YAM)
::	protects both flavors of XON and XOFF characters (^Q, etc.).
::	I have no problems downloading with or without MNP enabled.
::
:: a file successfully uploaded is renamed to zFIL.tmp; an unsuccessful
:: one is renamed to yFIL.tmp
::
:: While downloading messages or scans from a SIG, pressing F9 will
:: "lock" the keyboard, allowing subject entry for later retrieve
:: commands.
::
::nemail script courtesy Earle Robinson assumes Easyplex Prompt mode
::
:: Following script assumes the SIG "fil" "ns" "br" options set,
::  the SIG prompt is ^H, and initial login page is PERSONAL FILE AREA.
:: Messages to upload to SIGs are in files such as 068xy.
::

	:: dosig register usage
	::	s4 saves hi message number
	::	s5: flag for individual subject prompt - read
	::	s6: garble detect
	::	s7: SIG page designation
	::	s8: prefix for upload messages
	::	s9: inital command
dosig	echoc "DOSIG: %s7 AT %t"
	sets remote "%s7"
	kbdlock 0
	timestamp
	put "\25g %s7\r"
	set s5 ""
	set f9 "@set s5 x;kbdlock 2;echo OK-ALREADY"
	set s6 ""
	on 20||e>45||!c echoc "Bad/Lost Connection"; return
	pat
	pat 0cp " ^Q " "\021"
	pat 1$v "\nFunction: "	:Desired response
	pat 2v "Function: \b"	:Desired response
	pat 3 "<ENTER>"		:Possible Compuserve snafu
	pat 4 "User ID:"	:CIS may just log you off
	pat 5 "unavailable"
	pat 6 "Fatal error"
	::if !iremote,allsig pat 7c "Short bulletin:" "\25\017\r"
	pat 8 "hat page is empty"
	pat 9c " RE T)" "\25\r"
	pat 10iv "Forum messages:"
	pat 11 "? MONUTR"
	pat 12 "service is not defined"
	pat 13 "Fatal Error"
	pat 15 "temporarily"
	pat 16v "Forum !\b"
	pat 17c "Control-C Intercepted Menu" "1\r"
	wait -F90
	if n echoc "90 seconds and no match!!"; timestamp
	if 8||12 putw "\021\25g %s7\r";  wait	: possible garbled cmd
	if 8||12 echoc "Got 8||12" sets sk "%sk 8/12:%s7"; return
	if 10 pat 10i "\r"; wait
	if 10 pat 10 ""; sets s4 "%y1"; wait
	if n set s6 x; put "\021\25\r"; wait       :in case of garble
	if 11 echoc "CIS Total Lossage"; s; sets sk "%sk %s7"; bye; fail
	if 5 mput "\r"; echoc "(Unavailable)"; sets sk "%sk u:"; goto gcis1
	if 15 echoc "(%s7 closed.)"; sets sk "%sk c:"; goto gcis1
	if 6||13 echoc "Fatal Message"; sets sk "%sk f:"; goto gcis1
	if 4 s; sets sk "%sk %s7"; fail
	if 3 set s6 x; put "\021\25\r" wait
	if n put "\021\25\r" wait -f55	:No match - try once more
	if n echoc "No Patterns Matched!"; s; goto gcis1
	if !1&&!2&&!16 s; echoc "Wrong Message"; s; goto gcis1
	if jinvok,upl if %s8 expand %lib/upl.t upl/%s8*
	if %s8 expand %lib/dow.t dow/%s8*
	if %s8 expand %lib/cisupl.t %s8*
	put "\021\25%s9\r"
	pat
	pat 0cp " ^Q " "\021"
	pat 1 " RE T)"		:Message waiting for you
	pat 2i "Function: \b"	:Desired response
	pat 3$ "\nFunction: "	:Desired response
	pat 6c "yam " "@echo YAM\ MENTIONED"
	pat 7c YAM "@echo YAM\ MENTIONED"
	pat 8c Yam "@echo YAM\ MENTIONED"
	pat 9v$ "\nNO CARRIER\r\n"
	pat 11c "\n#: " "@setc now %t"
	pat 12l "\nTo: "
	pat 16 "Forum !\b"
	on "9||e>45||!c" goto ondosig		:If disconnect or bad line
dosg1:	wait
	while 12 echof "Prefix: %s8 Sig: %s7 D/L:%t" wait
	while 1 echoc "SIG: %s7" put "\25\r" goback dosg1 :Bypass RE T questions
	if !3&&!2&&!16 echoc "Timeout waiting for Function prompt"; put "\21"; wait
	if !3&&!2&&!16 echoc "Timeout 2 waiting for Function prompt"; put "\021\25\r"; wait
	if !3&&!2&&!16 echoc "Function prompt not seen"; s; goto gcis1
	: echoc "Function Prompt Detected"
	:: if !is9,rm if %s8 expand %lib/sigrd.t r%s8*; expand %lib/sigrd.t I%s8*
	if %s5 echo " Enter Subjects to scan for, one per line, empty line ends. "
	if %s5 while %s5 accept s5 "subject:" if %s5 put "r;s;s;%s5;n\r" wait -f15
	set f9
@echo "Sorry... Too Late to Stop the Bubble Machine"
	pat 19i "For"
	if js9,qsn split s4; putw "\25OP;HI;%z4;P\r"
	kbdlock 0
	echoc " %s7 Dosig Ends %e errors detected "
	echoc " Last header line seen at %now"
	: echoc "s4 = %s4"
	return
ondosig:	s		:If disconnect or bad line
	echoc "DOSIG error trap"
	if "!c" echoc "Carrier Lost"
	if "9" echoc "Carrier Lost Message Seen"
	if "e>45" echoc "Error Count Exceeded: %e"
	fail
gcis1:	w; echoc "**** DOSIG ERROR RECOVERY (%e Line Hits Detected) ****"
	sets sk "%sk %s7"
	pat; pat 2 "\nOK\r"; pat 3i "TOP"
	while "L<5&&c&&n" put "\021\25G CIS-1\r" wait -f15 ife "!n" put "\021\17" return
	bye; fail

nemail	put "\25g email\r"; pat; pat 1 "HELp"; pat 2 LL)?; pat 3 DELet
	pat 6 "\045 Invalid comm"
	pat 7 "? EasyPlex file is busy"
	pat 8c "Key H for Help !" "\25g email\r"
	pat 9 "information (Y or N"
	pat 10c "\nPress <CR>! " "\r"
	wait
	if 9 put "n\r6\r1\r2\r2\r\ry\r"; wait
	if 7 put "\25mic\r"; pat; return
	echoc "*** NEMAIL ***"
	echoc "Welcome to Easyplex (nemail)"
	echoc "#: %h%s Accessed at %t"
	echoc "Sb: Easyplex Message to Forsberg"
	if 2||6 put "\25all\r"; wait
	put "\25read all\r"
	pat 10c " Message is Binary \r"
	wait
nemai1:	if 10 ena -c; put "dow/proto:b\rem/%d%h.%s\r"; wait -T20; dis -c
	put "\25del\r"
	echoc "#: %h%s Accessed at %t"
	echoc "Sb: Easyplex Message to Forsberg"
	wait -f10
	if 6 put "\25del\r"; wait -f10
	if 6 o; return
	if 3 goback nemai1
	put "\25mic\r"
	return


setup		port 2
		set mpre "A%D\336 I";
		set mcon "@pat 1i OK\r\n; wait -f2;put \045U\336\0400\r;wait -f2;pat"
		set break "@break putw %B\336\ 1\r putw %U\336\ 0\r"
		pd1 pz480	: turn on time stamping, set PST timezone
		pi8		: fast retries for modem to hear dial tone
		kill
		: display nlmode	: I call Unix sometimes
:: If color display (Paradise Board) make it colorful and faster
		if dc ps4 pn3 pr97 pu6 display warpdrive
		set phones "c:/phones.t"
		set f3 @rb;  set f4 "@kermit rb"
		set f5 @!~ansiterm
		set f6 "@accept s2 Receive-File: obey rc\ %s2"
		set f7 "@accept s1 Send-File: obey sx\ %s1"
		set f8 "\PXXXXX"
		set f10 "@help"
		set fs1 "@find speed %phones"
		set fs2 "@accept s1 Name:; find \n%s1 %phones"
		set fs3 "@find \\\v\r %phones"
		set fs4 "@speed 1200 putw %H\336\r"
		display bell=visual
		set calllog /memo/calllog
		set emdir /memo; set twxfile twx;
		set callpath /tmp/*.xx?
		set call1 "%C\336 0\r"
		set call2 "%C\336 2\r"
		set answerback "\r\nYOUR NAME CITY\r\n\21"
		set rxlog /tmp/rxlog
		set txlog /tmp/txlog
		set quitcmd "@put \003\336off\r pat; wait"
300		speed 1200 put "%\336S\336 \3361\336\r" sleep 1 speed 300
1200		speed 300 put "%\336S\336 \3362\336\r" sleep 1 speed 1200
remote		cd /; port 1; speed 38400 remote
reset		break sleep 10 speed 300 put "%\336I\336\r" sleep 10
		speed 1200 pat 1 OK; put "\045I\336\r"; wait -f14
		putw "%C\336 0\r"; putw "\045F\336 4\r"
answer		speed 1200 putw "%C\336 2\r"
cisxpc	speed 2400 226-0627
	pat 1i "\256"; wait put A pat 1 "log in"; wait
	put "\004xpc\r"
	pat 1 "not"; pat 2 "\033"
	wait -vf30
	if !2 fail
	xpc 1 "cis02;"
	dis -v
	goto cis
cis		nolog speed 1200 232-1072 sleep 20 put \3
cis:		set fins "rt "; set fdel " only\r"
	lput "\E[H\E[2J"
	lput "SIG Download Browse hot keys: F3=B Protocol F8=XMODEM F7=capture"
	lput "\E[2;24r\E[?6h\E[H"
	set f3 "@source %lib/kcisdl.t"
	set f7 "@source %lib/ckcisdl.t"
	set f8 "@source %lib/xkcisdl.t"
		pat 1 ID:; pat 3 LOGSTU; wait
		put 1,1\r
		pat 1 assword:; wait
		if 3 o echo " Sorry Folks "; return
		put "guess\r"
		pat 1 OK; pat 2 Plex!; pattern 3 "Function: "
		wait
		if n o return
		keys ena -fcs!p conference
cis02		nolog speed 1200 226-0627
		pat 1i x; wait put A pat 1 "log in"; wait
		put "cis02;" goto cis
cis1200		nolog speed 1200 232-4026 sleep 20 put \3 goto cis
navobsy		speed 1200 %l-202-653-1079 t -u7e
		echo "type @tco for list of commands"
oem		speed 1200 621-3746 pat 1 \5;wait; put \1; sb /o/omen; o
omen-tech	speed 1200 %l-503-621-3746 t
omen-techl	speed 1200 621-3746 t
omen-voice	%l-503-621-3406\v
		echo " Shift-F4 to Disconnect "
savenet		accept s1 "SaveNet Autodial. Number:"
		speed 1200 %l-%s1\v
		echo " Keyboard Shift-F4 to Disconnect "
setsavenet	set l "7969000W123456"
		set m "7969000W123456503"
source1200	speed 1200 295-3028
sourcex:	set  f8 "upi n b "
		set  f9 "upi n g "
		set f10 ",-,*,sb\r"
		set fins ",-,*,rb\r"
		patt; patt 1 TERMINAL
		put "\r\r"; wait
		if !1 o abort
		patt 1 @
		put "D1\r"; wait
		if !1 o abort
		put "c 30124\r"
		kill; patt; patt 1 SOURCE; wait
		if !1 o abort
		put "id 012xyz password\r"
		patt 1 "number or HELP"
		wait; put 6\r
		keys t

hitmenot:	echoc "NOISE:"; wait -f2
	echoc "Noisy Line - Disconnecting already."
	nolog bye; fail


allstel	speed 1200 295-3028
	goto allst1
allst24	speed 2400 241-0496
allst1:	on !c o abort
	pat 1 TERMINAL
	while "L<5&&!1" put "\r" wait -f1
	pat 1 @
	put "D1\r"; wait -f40
	if !1 o abort
	put "C 202202\r"
	goto allsig
allstym	speed 2400 222-2151; ph1;  ena -h
	on !c fail
	pat 1i x; wait -f5 put A pat 1 "log in"; wait -f5
	put "cis02;"
	goto allsig
alls02		speed 1200 nolog 222-0900; ph1;  ena -h
	on !c fail
	pat 1i x; wait
	put A pat 1 "log in"; wait
	put "\b\030cis02;" goto allsig
alls12	speed 1200 nolog 232-4026
	pat 1 ID:; sleep 20; ph1;  ena -h
	while "c&&!1&&L<8" echo "Sending ^C" put "\3" wait -f2
	if 1 put "\r"; goto allsig
	fail
allsxpc	speed 2400 222-2151
	pat 1i "\256"; wait -f5; put A pat 1 "log in"; wait
	put "\004xpc;tymnet.1\r"
	pat 1 "not"; pat 2 "\033"
	wait -vf30
	if !2 fail
	xpc 1 "cis02;"
	dis -v
	goto allsig
alls68	goto alls1	:: tours IBMCOM only
allsra	goto alls1	:: Retrieves only marked messages
allsrm	goto alls1	:: Retrieves marked msgs in selected SIGS
ens	goto alls1	:: Just the news, ma'am
alls300	set remote vif
alls3:	speed 300;  goto alls1
allsig	set remote vif
alls1:	kill
	if S==300  232-1072; goto alls00
	if jargs,upl sp 2400 239-6124; goto alls00
	:: if jargs,upl 232-1072/300; goto alls00
	239-6124/mnp_s+239-6126/mnp_s+232-1072/300
	: pv99; create -+ cis00.tmp
alls00:	sets invok %args; echo "args=%args"
	on !c echo "Carrier Lost ABEND"; bye; fail
	if !hREL echo "Noise Check"; sleep 20 ; if !df sleep 50
	if m echo "Noise on Modem Line"; pat; wait -F1; sp 300; goto alls1
	pat 0i "Host" "CIS\r";  pat 1i "^C"; pat 2l "? NTWCCN"
	pat 3 "NO CARRIER";  wait -f2
	while "c&&n&&L<9" echo "Sending ^C" put "\3" wait -f1
	if 2 o; echo "Try another Network??";  fail
	if "3||n" echo "NO Response to ^C"; o; fail
	ph1;  ena -h
allsig:	pf120
	ena -jt7e
	display vt100
	if !iphone,allsigne ena -E
	: ena -jSE7e
	restime
	pat 1 ID:; pat 3 LOGSI; pat 4 "?? LOG";
	pat 20pv$ "\nNO CARRIER\r\n"
	on "20||!c" goto allsabend
	wait
	pat 5 "#"; pat 6 "&"
allsnfg:	put "\b\b\bH70000,0000\r"; wait -f52
	if "1||4" goback allsnfg
	put "wrongo\r"
	pat 21pc$ "" "\21"
	echo "  Allsig  "
	cd %tmp
	:ena -+; >cis00.tmp
	if !r create -+ cis00.tmp
	echoc "Allsig:%telno %remote"
	restime; timestamp
	pq0
	pat
	pat 1 OK
	pat 2 "Mail wa" "\017"
	pat 3 LOGSI
	pat 4 "?? LOG";
	pat 5c ENTER "\r"
	pat 6 "REAd,"
	pat 7 "TOP" "\017"
	pat 8 "NEW" "\017"
	pat 9c "Press <CR> to continue: " "\025\r"
	wait
	pf120
	if 3 goto allsabend
	if 4 goback allsig
	if 2 gosub nemail; pat;  on !c goto allsabend
	if 6||7||8 put "\25\bTOP\r" wait
	on !c goto allsabend
	if 2 gosub nemail
	pe0
	on 20||e>45||!c goto allsabend
	expand %lib/plxupl.t 001*
	set s9 "rtn"
	if iremote,alls68 set s9 "rm;rtn"
	if jremote,allsr set s9 "rm"
	set sk ""
	if iremote,ens goto alens1
	set now "The Epoch"
	set s7 "IBMCOM"; set s8 "IBMCOM"; gosub dosig
	if iremote,alls68 goto allens
	pat;  pat 1 "PCM-1"; put "\25g pcmagnet\r"; wait
	set s7 "EDITORIAL"; set s8 "PCME"; gosub dosig
	set s7 "UTILFORUM"; set s8 "PCMU"; gosub dosig
	set s7 "PROGRAMMING"; set s8 "PCMP"; gosub dosig
	set s7 "APPLICATIONS"; set s8 "PCMA"; gosub dosig
	set s7 "TIPS"; set s8 "PCMT"; gosub dosig
	pat;  pat 1 "TOP"; put "\25g cis\r"; wait
	if S>300 if !iremote,allsrm set s7 "TAPCIS"; set s8 "TAP"; gosub dosig
	set s7 "UNIXFORUM"; set s8 "U"; gosub dosig
	set s7 "IBMHW"; set s8 "IBMHW"; gosub dosig
	if S>300 if !iremote,allsrm set s7 "IBMSW"; set s8 "IBMSW"; gosub dosig
	if S>300 if !iremote,allsrm set s7 "pcs-129"; set s8 "IBMNEW"; gosub dosig
	if S>300 set s7 "CONSULT";  set s8 "CON";  gosub dosig
	if S>300 if !iremote,allsrm set s7 "DDJFORUM"; set s8 "DDJ"; gosub dosig
	: if !iremote,allsrm set s7 "DRFORUM"; set s8 "DR"; gosub dosig
	if !iremote,allsrm set s7 "pcs-158"; set s8 "158"; gosub dosig
	set s7 "MSSYS"; set s8 "MSSYS"; gosub dosig
	if !iremote,allsrm set s7 "VAXFORUM";  set s8 "016";  gosub dosig
	if S>300 set s7 "BPROGB";  set s8 "BOR";  gosub dosig
	set s7 "CEFORUM"; set s8 "CEF"; gosub dosig
	if S>300 set s7 "hom-11";  set s8 "HAM";  gosub dosig
	if S>300 if !iremote,allsrm set s7 "bpf-200";  set s8 "200";  gosub dosig
	if !iremote,allsrm set s7 "XTALK"; set s8 "X"; gosub dosig
	: if !iremote,allsrm set s7 "JFORUM"; set s8 "J"; gosub dosig
	if S>300 if !iremote,allsrm set s7 "PICS"; set s8 "PICS"; gosub dosig
	: set s9 "rm;ss0;rtn";  set s7 "pcs-47";  set s8 "047";  gosub dosig
	: set s9 "ss6;rtn";  set s7 "hsx-200";  set s8 "200";  gosub dosig
	timestamp
	if %sk echoc "WARNING: %sk SIGS bypassed"
	echoc "Allsig SIG TOUR Ends: %telno %remote %e Errors detected"
allens:	w; if du echoc "Sortsig"; "!/u/spool/yam/sortsig&"; echoc "Returned."
	if %sk echoc "%sk SIGS bypassed"
	else echoc "Delete allsig.xx";  del allsig.xx
alens1:	source %lib/ens.t
	on
	echoc "Allsig disconnecting"
	pat; pat 1l "onnect"
	pat 2l "call cleared"; pat 3l "NO CARRIER"
	pat 4l "DISCO"
	put "\25log\r"; wait -f20
	o; close
	return
allsabend:	on
	if 20 echoc "Carrier Lost Msg seen"
	set? s0 e
	if "e>45" echoc "Error Count = %s0; Limit Exceeded"
	if c pat; putw "\25off\r"
	timestamp
	echoc "**** Allsig ABEND ****";
	if !%sk set sk "No"
	echoc "%sk SIGS bypassed"
	on
	echoc "Allsig ENDS: %telno %remote %e Errors detected"
	o; close
allsigne	goto alls1

::
:: Sample entries for the 300 bps PC-jr built-in modem
::
setup		port 1; speed 300 display bell=visual
		set mprefix "\16 D "
answer		putw "\16 A\r"
::
:: "simple" script included in the Manual chapter on Scripts
::
pcs068	speed 1200; 232-4026	: Works with CIS nodes only (not *net)
	sleep 20		: wait two seconds
	put \3			: Send Ctrl-C
	pattern 1 ID:		: Wait for CIS to request your accnt #
	wait
	put 10001,123\r
	pat 1 assword:		: Wait for CIS to request your password
	wait
	put "your password\r"
	pat 1 OK		: Wait for the "OK" signal
	wait
	put "g pcs-068\r"	: Call pcs-068 SIG
	t -c			: Go online, enable B protocol
::
:: Sample Script to call one of several Numbers (described in Manual
::  chapter on Scripts)
::
dial1	speed 2400 123-4567
dial2	speed 1200 123-5678
dial3	speed 300 621-3746
tour	call dial1
	if !c call dial2
	if !c call dial3
	echo "Connected Already"; t
:: Alternate "host" entry previously used on Telegodzilla.  This one uses
:: two disks, requiring special procedures to maintain security.
:: It assumes the .t files exist on the D: drive, and also D:/host
:: directory.
host		echo " host "
	set disks "cd"		: Must be lower case
	set lib "d:"
	set rcmdlog "d:/rcmds"
	set phones "d:/phones.t"
	port 2; o		: Hang up the Xenix connection
	port 1; speed 2400
	set callers /host/callers
	set welcome "@type welcome.txt; purgek; nulls 0"
	: set password Ritchie
	set password ""
	if !%challenge set challenge "@gosub .%lib/challeng.t"
	set rxlog /HOST/RXLOG; set txlog /HOST/TXLOG;
	set unrestrict notthis
	set xhelpfile /HOST/xyamhelp.t
	d:; cd /host			: set directory on D:
	c:; set home /HOST; cd		: set directory on C:
	set private c:/memo/private; set messages c:/host/messages
	set emdir c:/memo; set twxfile twx;
	set answerback "\r\nTelegodzilla (Omen Technology Inc.)\r\n\21"
	set call1 ATZ\r\336ATZ\r
	set call2
@o; sleep 3; sp 2400; putw "\336ATZ\r\336\336ATX1 M0 S0=1\r"; clears; ena -8n
	set callpath c:/tmp/*.xx?
	set outahost
@o; pH0; sp 2400; set remote "Local"
	set disks "abcd"	: Must be lower case
	putw "\336ATM0H1\r"
	set baudstr "@gosub .%lib/baud2.t"
	if !dX px2; py9600; set linkpass "Giznoid";
	if !dX set outalink "@kill; put \r\4;o;port 1;bye"
	: if !dX set bbs "~l >com1"  :: WARNING - see manual "Security" chapt
	set menu c:/host/menu.hst
	pH120; pk3; host

:: Alternate "host" entry currently used on Telegodzilla with
:: TrailBlazer modem (300/1200/2400/19200 bps).
:: It assumes the .t files exist on the C: drive root directory
host	echo " host "
	set emdir c:/memo; set twxfile twx;
	set disks "c"		: Must be lower case
	set lib "c:"
	set rcmdlog "c:/tmp/rcmds"
	set phones "c:/phones.t"
	port 2; o
	port 1; bye; speed 19200
	set callers c:/host/callers
	set welcome "@type welcome.txt; purgek; nulls 0"
	: set password Ritchie
	set password ""
	if !%challenge set challenge "@gosub .%lib/challeng.t"
	set rxlog c:/HOST/RXLOG; set txlog c:/HOST/TXLOG;
	set unrestrict somethingelse
	set xhelpfile c:/HOST/xyamhelp.t
	c:
	set home /HOST; cd
	set private c:/memo/private; set messages c:/host/messages
	set answerback "\r\nTelegodzilla (Omen Technology Inc.)\r\n\21"
	set call1 "@gosub call1"
	set call2 "@gosub call2"
	:settings for 2400V modem below
	:set call1 "@bye;sleep 100;sp 1200;putw \5\r\336O111211311122\r\336I\r"
	:set call2 "@bye;sleep 100;sp 1200;putw \5\r\336O111111311122\r\336I\r"
	: set call3
	: @echo "Now awaiting incoming calls.  Press F1 to exit."
	set callpath c:/tmp/*.xx?
	set outahost "@gosub outahost"
	set baudstr "@gosub .%lib/baud2.t"
	set rmtcheck "@source C:/host/checkrmt.t"
	if "!dX&&!dD" px2; py2400; set linkpass "Giznoid";
	if "!dX&&!dD" set outalink "@kill; put \r\4;o;port 1;bye"
	: if !dX set bbs "~l >com1"  :: WARNING - see manual "Security" chapt
	set menu /host/menu.hst
	display bell=visual
	pk3; host

dialsx	pat : dial routine for Microcom SX/1200 modem
	if "%telno<2" echo "Please do not use \"call dialsx\""; abort
	bye; pat 1 "4"; ena -dQ; pq1
	while "!1&&L<10" put "4" wait -f1
	if !1 echo "No response From MODEM"; fail
	pat 1i "!"
	put "5"; wait -f1
	put "se0\r"  ;wait -f1
	put "sbrk1\r"  ;wait -f1
	put "sf11\r"  ;wait -f1
	put "sfm0\r"  ;wait -f1
	put "sx1\r"  ;wait -f1
	put "smaut\r"  ;wait -f1
	put "s1p4\r"  ;wait -f1
	put "s1c1\r"  ;wait -f1
	pat 1 "CONNECT "; pat 2 "NO C"; pat 3 "IN USE"
	dis -Q; putw "dp%telno\r"
	wait -f60
	dis -d
	if 1 pat; return
	pat; bye; fail

xenix	port 2; sp 19200; set dirrx ""
xen0:	put \r
	pv-1; pk3; pf6; kbdlock 2; echo "KEYBOARD LOCKED"
xen1:	pat; pat 1 "ogin: "; pat 2 "tty";  wait;
	if 2 echo "Already Logged in!";  goto xen2
	if !1 put "\r"; wait; if !1 bye; wait
	if !1 abort
	while !m put " " sleep 1
	put "account\r"
	pat 1 "rd:"; wait; put "password\r"
	pat 1 "caf"; wait
xen2:	set rxlog ""; set txlog ""; set rcmdlog ""
	display vt100
	kbdlock 0
	if dZ zmodem pp5 pt20;  if jargs,ga putw "ga\r"
	if jargs,poll wait -f4; o; ife df call host; ret
	if jargs,rep bye; goback xen0
	t

amrad-bbs	speed 300 1-703-734-1387 t
amsat-bbs	speed 300 1-512-852-8194 t
answer		speed 1200 putw ATM0S0=1\r
ans300		speed 300 putw ATM0S0=1\r
baltimore	speed 300 1-301-655-0393 b450 t
barefoot	speed 300 nolog 286-6366 sleep 20 put \r
		sleep 10 pp3000 ena -pt sleep 2 put \r
		pattern 1 >; wait; put N\r wait put passwd\r
		pg62 t
bethesda	speed 300 1-301-229-3196 b450 t
	:: Login script for Byte Information Exchange (via Tymnet)
bix		speed 9600  222-2151+222-0900
		pat 0 "CARRIER"
		pat 1 "log in"
		pat 2 "error" "\r"
		pat 3 "user name:"
		pat 5 "host shut"
		wait -f4; put "A"; wait -f2
		set s9 "login"; pf15
bix:		put "BIX\r"
		pat 4i "ame?"; wait
		if 5 fail
		if "c&&!4" goback bix
		if jargs,new put "new\r";  t; quit
		put "yournamehere\r"
		pat 1i "assword:"; wait
		dis -h;  put "yourpasswordhere\r"
		cd %tmp
		if !r create -+ bix0000.tmp	: make sure capture file is open
		:: if dZ zmodem pl8192	:: Temporary - see manual
		ena -yZ		:: Disable Security Challenge to save time
		if jargs,h ena -h
		pat; pat 1$ "\n:"
		wait
		if "hYou have [*1-9]" source %lib/bixmaild.t
		expand %lib/bixmailu.t 002*
		if is9,Mail put "q\r"; set s9 ""
		expand %lib/bixmsgu.t BIX*
		put "\r"
		pat 1$c "Read:" "all\r"
		pat 2 "No unread messages in conferences"
		pat 3c$ ".More.." "\r"
		wait -f10
		timestamp
		del bix.xx
		echo "BIX Script Finished";  pat; if !df off
		set f3 "r\r"
		t
cbbs-nw		speed 1200 nolog 284-5260 t
cbbs-r-nw	cls  dirr f? c1
		speed 1200 pi10 putw "ATM0 S7=12\r" nolog 284-5260
cbbsx:		kill
		: cd \tmp
		create -st+ cbbs.tmp
		pat; pf3 pattern 1i CBBS
		if n put \r wait
		if n put \r wait
		if n put \r wait
		if n put \r wait
		if n goto cbbsfoo
		put \013
		pattern 1 "1st time"
		wait put n\r
		pattern 1 "FIRST name"
		pf8; wait
		kill
		put "firstname;lastname;password;x;p\r"
		pattern 1 Function:?
		pattern 2 "many wanted:?"
		kill
		wait ena -t
		if 2 put "0\r" wait
		put "or;*\r"
		pattern; pattern 1 Function:; wait;
		pg63 pp2000
		if ff1 putw e\r f -tpx f1 put s\r wait if 1 "!ren f1 f1.tmp"
		if ff2 putw e\r f -tpx f2 put s\r wait if 1 "!ren f2 f2.tmp"
		if ff3 putw e\r f -tpx f3 put s\r wait if 1 "!ren f3 f3.tmp"
		put g\r pattern 1 "Comments Y/N:?"; wait;
		if fc1 putw y\r f -tpx c1 put y\r "!ren c1 c1.tmp"
		else put n\r
		dis -tp
		pattern 1i "on++"; wait; timestamp nolog close pe0 return
cbbspoll	del /tmp/cbbs.xx
		if f/tmp/f?||f/tmp/c1 echo "Message(s):"; dirr /tmp/f?
		pv0
		>/tmp/cbbs.xx
		echo " call cbbs-r-nw"
		echo " if e return"
		echo " !del cbbs.xx"
		>
		goto host
cbbsfoo:	pe1 o
cii300		speed 300 1-201-542-5059 t
cis		speed 1200 nolog 232-4026 sleep 20 	: Compuserve via CIS
	put \3
cis:	pat 1 ID:; wait
	put 70001,0001\r pat 1 assword:; wait; put "wrongo\r"
	pat 1 OK; pat 2 Plex!; pat 3 "\nFunction: "; pat 4 "!"
	wait
	if n o return
	pat; t -fcs!p
	return
cis24	speed 2400 nolog 222-2151	: Compuserve via Tymnet 2400 bps
	pat 1i x; wait -f5 put A pat 1 "log in"; wait
	put "cis02;"; goto cis
cis02	speed 1200 nolog 222-0900	: Compuserve via Tymnet
	pat 1i x; wait put A pat 1 "log in"; wait
	put "\030cis02;" goto cis
cisdat	speed 1200 %l-604-687-7144	: Compuserve via Datapac
	sleep 25
	ena -t
	put "..\r"
	pat 1 "DATAPAC"
	wait -f4
	put "P 29400138\r"
	dis -t
	pat 1 "Name:"
	wait -f20
	put "cis\r"
	goto cis
cistel	speed 1200 295-3028		: Compuserve via Telenet
	on !c o abort
	pat 1 TERMINAL
	while !1 put "\r" wait -f1
	pat 1 @
	put "D1\r"; wait -f4
	if !1 o abort
	put "C 202202\r"
	goto cis

denver2		speed 1200 1-303-777-4326 t
denver3		speed 1200 1-303-690-4566 t
gcos		speed 1200 621-3746 set bs "@mput # lput \b\40\b"; t -h
navobsy		speed 1200 %l-202-653-1079 t -u7e
		echo "type @TCO for list of commands"
pcshare		speed 1200 222-0900	:: Tymnet local node
		pat 1i x; wait put A pat 1 "log in"; wait
		put "\b\030dpac;3020 827 00294\r"
		pat 1i "\021"; wait
		put "logon pcshare pcshare\r"; wait
		put "+xx xxxx\r"
		kermit pi1: t -h7m
pcshare-fdx	speed 1200 222-0900	:: Tymnet local node
		pat 1i x; wait put A pat 1 "log in"; wait
		put "dpac;3020 827 00294\r"
		pat 1i "\021"; wait
		put "logon pcshare pcshare\r"; wait
		put "+xx xxxx\r"
		kermit pi1: t -7m
pcsource-pdx	speed 2400 297-1084 t
pctj		speed 2400 %l-301-576-7285 t
pcweek		speed 2400 %l-617-375-4000 t -8g
pdx-rbbs-pc	speed 1200 281-8322 t -8g
pdx-opus	speed 2400 %m-639-4009 t -8g
shotgun		speed 2400 760-4521 t -8g
rose		speed 2400 761-3205 t -8g
pdx-fido	speed 1200 297-9145 t -8g
pvhug		speed 2400 760-6411 t -8g
pl24	speed 2400 241-0496 goto pl1	: People-Link via Telenet
pl	speed 1200 295-3028		: People-Link via Telenet
pl1:	patt; patt 1 TERMINAL
	while !1 put "\r" wait -f1
	pf40 patt 1 @
	put "D1\r"; wait
	if !1 o abort
	put "set 0:33,64:1\r"; wait -f1
	put "c 312 63\r"
	pat 1 "PRESS <RETURN>:";  wait -f15;  put "\r"
	pat 1 "ID:";  wait -f15;  put "myacct\r"
	pat 1 "PASSWORD:";  wait -f15;  put "nothis\r"
	set f9 "/next\r"; set f10 "/dlo;fil;xmo;\r\r"
	t
savenet		accept s1 "SaveNet Autodial. Number:"
		speed 1200 %l-%s1\;
		echo " Keyboard Shift-F4 to Disconnect "
setsavenet	set l "796-9000,,T654321"
		set m "796-9000,,T654321-503"
source1200	speed 1200 295-3028	: The Source via Telenet
sourcex:	on !c o abort
	set  f7 "upi n b "
	set  f9 "upi n g "
	set f8 ",-,*,rb"
	set f10 ",-,*,sb"
	pf3
	patt; patt 1 TERMINAL
	while "L<5&&!1" put "\r" wait -f1
	if !1 off
	pf40 patt 1 @
	put "D1\r"; wait
	if !1 o abort
	put "c 30124\r"
	kill; patt; patt 1 SOURCE; wait
	if !1 o abort
	putw "id ABC123 notthis\r"
	patt; pat 10c "-More-" "@put \r lput \r\E[A\E[2M\E[A"
	pf9999; wait
source300	speed 300 295-3028	: The Source via Telenet
	goto sourcex
unix		set _fdel "@cls put q\r"
		set _fins "@cls put n\r"
		set _f5 "@create -+ /tmp/unix"
		set _f9 "@cls put ps\ -lax\r"
		set _f10 "d\r"
		speed 1200 nolog 292-1000
		pat; pat 1 ogin:
		while "c&&!1&&L<5" put \r echo "Break Sent" wait -f4
		if !1 echo " Computer Does Not Respond "; o return
unixlog:	put unix\r pat 2 assword:
		wait put WronG\r pat 2 dumb :we get this when logged in
		wait if 1 goto unixlog
		if !2 echo " Login Unsuccessful "; o return
		put vt52\r pat 2 > :ask for vt52 termcap
		wait keys t -s :strip control characters from any file

:: Directory entry "fax" is used to receive binary data dumps from an
:: AEA PK-232 operating in facsimilie decoding mode.  "dumb" terminal
:: emulation and "I" (super-image) mode are used to capture all 8 bits.
:: Keyboarding F9 opens a new capture file and sets the PK-232 to signal
:: mode (to terminate the previous picture) and then to FAX mode to
:: allow lock-on to the next FAX picture it receives.
::
:: Keyboarding F10 disables the status line, clears the screen and sets a
:: two line scroll region. Limiting the screen to two active lines reduces
:: Radio Frequency Interference generated by the CRT display.

fax		speed 9600 display dumb; set f9
@ife r close; kill; create -Ij fax...; put "si\r\336fax\r"
		set f10
@display stat=0ff; cls; lput "\E[1;2r"
		return

:: Directory entries for GEnie (General Electric Information Service)
:: This calls various ge*.t scripts supplied on PROGRAM DISK 1,
:: /usr/lib/yam for Xenix/Unix systems, or GESCRIPTS.ZOO.

genie		speed 2400 287-9045; goto g24a
genie24		speed 9600 249-8365/mnp goto g24a
geniexpc	speed 2400 1-800-638-8712 goto g24a
genie24n	speed 2400 249-8365; goto g24a
g24a:		set adlopts "r"
		z pt100 pp100 pc0
		purgel
		while "c&&L<40&&!m&&!k" mput "H" lput "H" sleep 4
		pat 1i "U"; wait -f1
		if !1 echo "No Response from Genie"; bye; fail
genielog:	pat 1 "PASS"; pat 2i "REENTER U#"
		if !dP put "\b\b\b\b"
		while "L<5&&c&&!1" put "abcd12345,\r"  wait -f5
		if !1 fail
		put "notthis\r"; pat
		set f3 "@set s5 xxx;  source %lib/gekxdl.t"
		set f8 "@set s5 x;  source %lib/gekxdl.t"
		ph2; ena -h
		cd %tmp
		if dS t; ret
		ki
		set pr "\006"
		set ldel "\025\336"
		set intr "\003"
		pat 0 "Enter #"
		wait
		if "hYou have .* WAITING." source %lib/gemaild.t
		if t close
		create -+ gen0000.tmp
gemail:		expand %lib/gemailu.t 003*
		set s7 "615"
		if jargs,tour  expand %lib/gefdl.t dow/G615*
		expand %lib/gemsgup.t G615*
		if jargs,tour  source %lib/gert.t
		set s7 "985"
		if jargs,tour  expand %lib/gefdl.t dow/G985*
		if jargs,tour  source %lib/gert.t
		expand %lib/gemsgup.t G985*
		echo "args = %args"
		if jargs,upl goto geup
		del /u/spool/yam/genie.xx
		pat 1l "OFF"
		if !df put "bye\r";  wait;  off
		t
		return
geup:		cd /t/upgrade
		expand %lib/geupl.t ge*.key
		del /u/spool/yam/genie.xx
		pat 1l "OFF"
		put "bye\r";  wait;  off
